Subject: bug#36339: generated .pc files leaks build-time LDFLAGS

From: Ludovic Courtès <[email-masked]>
Date: Mon, 24 Jun 2019 15:17:44 +0200

Hello,

Cyprien Nicolas <[email-masked]> skribis:

> These flags are private to the way I built guile, and should not
> affect packages using guile later.
>
> I have observed this behavior in guile-2.0, 2.2.5 and 2.9.2.
>
> -----8<-----8<-----8<-----8<-----8<-----
> Name: GNU Guile
> Description: GNU's Ubiquitous Intelligent Language for Extension
> Version: 2.0.14
> Libs: -L${libdir} -lguile-2.0 -lgc
> Libs.private:  -lgmp -lltdl -L/usr/lib64/../lib64 -lffi	\
>   -lunistring -Wl,-O1 -Wl,--as-needed  -lcrypt  -lm   		\
>      		\
>
> Cflags: -I${pkgincludedir}/2.0 -pthread
> ----->8----->8----->8----->8----->8-----

I believe the attached patch should fix it.  Could you confirm?

Thanks,
Ludo’.

diff --git a/configure.ac b/configure.ac
index 9073deba0..92966ce34 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1688,7 +1688,7 @@ do
 done
 
 GUILE_CFLAGS="$GUILE_CFLAGS $PTHREAD_CFLAGS"
-GUILE_LIBS="$LDFLAGS $LIBS"
+GUILE_LIBS="$LIBS"
 
 AC_SUBST(GUILE_LIBS)
 AC_SUBST(GUILE_CFLAGS)